Bug 1006669 - (CVE-2013-4324) CVE-2013-4324 spice-gtk: Insecure calling of polkit via polkit_unix_process_new()
CVE-2013-4324 spice-gtk: Insecure calling of polkit via polkit_unix_process_n...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130918,repo...
: Security
Depends On: 1005137 1006786 1006787 1009540
Blocks: 1002376
  Show dependency treegraph
 
Reported: 2013-09-11 01:28 EDT by Huzaifa S. Sidhpurwala
Modified: 2015-10-15 13:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spice-gtk patch (1.54 KB, patch)
2013-09-11 02:01 EDT, Huzaifa S. Sidhpurwala
no flags Details | Diff

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-09-11 01:28:14 EDT
Sebastian Krahmer reported a security issue was found in polkit (CVE-2013-4288 bz 1002375).

It was found that spice-gtk was vulnerable to this issue as well, since it communicated to polkit authority using the unsafe polkit_unix_process_new() interface. Consequently polkit has now deprecated the use of polkit_unix_process_new() and spice-gtk has been patched to use the safer (already existing) polkit_unix_process_new_for_owner() interface.

This issue has been assigned CVE-2013-4324.
Comment 1 Huzaifa S. Sidhpurwala 2013-09-11 02:01:50 EDT
Created attachment 796257 [details]
spice-gtk patch
Comment 3 Vincent Danen 2013-09-18 11:12:43 EDT
This is now public:

http://www.openwall.com/lists/oss-security/2013/09/18/4
Comment 4 Vincent Danen 2013-09-18 11:26:08 EDT
Created spice-gtk tracking bugs for this issue:

Affects: fedora-all [bug 1009540]
Comment 5 errata-xmlrpc 2013-09-19 14:07:08 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1273 https://rhn.redhat.com/errata/RHSA-2013-1273.html
Comment 6 Fedora Update System 2013-09-26 20:45:18 EDT
spice-gtk-0.20-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.